%global momorel 7
%global md5sum_src0  84cc4798fe62c1d8c67c3f38e8158f70
%global md5sum_src1  be3c5a9b242a57226b5bb5f22ec341ca
%global md5sum_src2  e3008eb0655da3026c162a5597d70869
%global md5sum_src3  c72abd90f50ef459bc14b39ec9fcc7f8
%global md5sum_src4  288fe4cf8a990e4e602aac16dd9109fb
%global md5sum_src5  69adcda848479acc3b82b3928812d191
%global md5sum_src6  44473b880d26bfbe8b3d4d72b183cba7
%global md5sum_src7  28958248590ff60ecd70e8f590d977b7
%global md5sum_src8  5b6f02a3b1cda0cadc35f84814fe53d4
%global md5sum_src9  0a5bd8e43de6eb8ff5b5bc673204401d
%global md5sum_src10 e5dbc8866a55958297f5f38205b6be1e

Summary: X.Org X11 X client utilities
Name: xorg-x11-utils
Version: 1.0.1
Release: %{momorel}m%{?dist}
License: MIT/X
Group: User Interface/X
URL: http://www.x.org/
%global xorgurl http://xorg.freedesktop.org/releases/individual
%NoSource 0  %{xorgurl}/app/xdpyinfo-1.0.1.tar.bz2 %{md5sum_src0}
%NoSource 1  %{xorgurl}/app/xdriinfo-1.0.1.tar.bz2 %{md5sum_src1}
%NoSource 2  %{xorgurl}/app/xev-1.0.2.tar.bz2 %{md5sum_src2}
%NoSource 3  %{xorgurl}/app/xfd-1.0.1.tar.bz2 %{md5sum_src3}
%NoSource 4  %{xorgurl}/app/xfontsel-1.0.2.tar.bz2 %{md5sum_src4}
%NoSource 5  %{xorgurl}/app/xlsatoms-1.0.1.tar.bz2 %{md5sum_src5}
%NoSource 6  %{xorgurl}/app/xlsclients-1.0.1.tar.bz2 %{md5sum_src6}
%NoSource 7  %{xorgurl}/app/xlsfonts-1.0.2.tar.bz2 %{md5sum_src7}
%NoSource 8  %{xorgurl}/app/xprop-1.0.2.tar.bz2 %{md5sum_src8}
%NoSource 9  %{xorgurl}/app/xvinfo-1.0.1.tar.bz2 %{md5sum_src9}
%NoSource 10 %{xorgurl}/app/xwininfo-1.0.2.tar.bz2 %{md5sum_src10}

%define applist xdpyinfo xdriinfo xev xfd xfontsel xlsatoms xlsclients xlsfonts xprop xvinfo xwininfo

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: pkgconfig
# xdriinfo requires libGL-devel
BuildRequires: libGL-devel

BuildRequires: libXv-devel, libXft-devel

# FIXME: check if still needed for X11R7
Requires(pre): filesystem >= 2.3.6-1

%description
A collection of client utilities which can be used to query the X server
for various information, view and select fonts, etc.

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10

%build
# Build all apps
{
   for app in * ; do
      pushd $app
      %configure
      make
      popd
   done
}

%install
rm -rf $RPM_BUILD_ROOT
# Install all apps
{
   for app in * ; do
      pushd $app
      make install DESTDIR=$RPM_BUILD_ROOT
      popd
   done
}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/xdpyinfo
%{_bindir}/xdriinfo
%{_bindir}/xev
%{_bindir}/xfd
%{_bindir}/xfontsel
%{_bindir}/xlsatoms
%{_bindir}/xlsclients
%{_bindir}/xlsfonts
%{_bindir}/xprop
%{_bindir}/xvinfo
%{_bindir}/xwininfo
#%dir %{_datadir}/X11
#%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/XFontSel
%{_datadir}/X11/app-defaults/Xfd
%{_mandir}/man1/xdpyinfo.1x*
%{_mandir}/man1/xdriinfo.1x*
%{_mandir}/man1/xev.1x*
%{_mandir}/man1/xfd.1x*
%{_mandir}/man1/xfontsel.1*
%{_mandir}/man1/xlsatoms.1x*
%{_mandir}/man1/xlsclients.1x*
%{_mandir}/man1/xlsfonts.1*
%{_mandir}/man1/xprop.1*
%{_mandir}/man1/xvinfo.1x*
%{_mandir}/man1/xwininfo.1x*

%changelog
* Mon Feb 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.1-7m)
- update xprop-1.0.2

* Fri Feb  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-6m)
- update xfontsel-1.0.2
- update xlsfonts-1.0.2

* Wed Jun  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-5m)
- delete duplicated files

* Fri Jun  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-4m)
- update xev-1.0.2

* Thu May 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-3m)
- update xwininfo-1.0.2 xdriinfo-1.0.1

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-2m)
- Change Source URL
- To trunk

* Fri Feb 24 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.1-1.2m)
- import to Momonga

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Updated all tarballs to versions from X11R7.0

* Sat Dec 17 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Updated all tarballs to version 1.0.0 from X11R7 RC4.
- Changed manpage dir from man1x to man1 to match upstream RC4 default.
- Moved all app-defaults files from _libdir to _datadir

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 0.99.2-3
- require newer filesystem package (#172610)

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 0.99.2-2
- rebuild 

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-1
- Initial build, with all apps taken from X11R7 RC2
- Use "make install DESTDIR=$RPM_BUILD_ROOT" as the makeinstall macro fails on
  some packages.
